Create a a new db_address usable for a company
Request Information
URI Parameters :
None.
Body Parameters :
db_address| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| company_id |
The company owner of this address |
globally unique identifier |
Optionally required : company_id, company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating address |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating address |
company |
Optionally required : company_id, company_code or company must be provided |
| db_address_type_id |
Foreign key to the db_address_type. Please use controller DbAddressType to find the correct it to use |
globally unique identifier | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string | |
| archived |
You cannot delete an address. The only way is to archive it. |
boolean | |
| name |
Name of the address |
string | |
| street |
Street |
string |
Max length: 100 |
| street_number |
Street number. Can be not used |
string |
Max length: 50 |
| zip |
Zip code |
string |
Max length: 50 |
| city |
City |
string |
Max length: 50 |
| phone |
Phone number |
string | |
| mobile |
Cell phone number |
string | |
| fax |
Fax number |
string | |
|
Email address |
string |
Max length: 250 |
|
| url |
Url |
string | |
| db_country_id |
Foreign key to table Country |
globally unique identifier | |
| db_country_code |
CountryCode entity using international code when adding/updating company |
string | |
| street2 |
Additional information on the address not part of the postal address |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "0405960b-89a4-4707-9d31-48023003284a",
"company_id": "43b34c09-af7a-4292-9109-9f8130513097",
"company_code": "sample string 3",
"db_address_type_id": "f168fa6d-a254-4143-b22b-8f4b8c5a1177",
"code": "sample string 5",
"archived": true,
"name": "sample string 7",
"street": "sample string 8",
"street_number": "sample string 9",
"zip": "sample string 10",
"city": "sample string 11",
"phone": "sample string 12",
"mobile": "sample string 13",
"fax": "sample string 14",
"email": "sample string 15",
"url": "sample string 16",
"db_country_id": "f7239a3c-329f-4327-81b8-d1eefe326657",
"db_country_code": "sample string 18",
"street2": "sample string 19",
"modified_dateutc": "2026-10-28T21:48:06.7060072+00:00"
}
Response Information
Resource Description :
db_address| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| company_id |
The company owner of this address |
globally unique identifier |
Optionally required : company_id, company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating address |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating address |
company |
Optionally required : company_id, company_code or company must be provided |
| db_address_type_id |
Foreign key to the db_address_type. Please use controller DbAddressType to find the correct it to use |
globally unique identifier | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string | |
| archived |
You cannot delete an address. The only way is to archive it. |
boolean | |
| name |
Name of the address |
string | |
| street |
Street |
string |
Max length: 100 |
| street_number |
Street number. Can be not used |
string |
Max length: 50 |
| zip |
Zip code |
string |
Max length: 50 |
| city |
City |
string |
Max length: 50 |
| phone |
Phone number |
string | |
| mobile |
Cell phone number |
string | |
| fax |
Fax number |
string | |
|
Email address |
string |
Max length: 250 |
|
| url |
Url |
string | |
| db_country_id |
Foreign key to table Country |
globally unique identifier | |
| db_country_code |
CountryCode entity using international code when adding/updating company |
string | |
| street2 |
Additional information on the address not part of the postal address |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "84a35f27-a2f9-49ca-8da4-c9741eda2ac7",
"company_id": "7fb05fcb-e986-42e7-9c04-acebbb12261d",
"company_code": "sample string 3",
"db_address_type_id": "35f7012d-d51c-4872-82c4-08511d24aaa9",
"code": "sample string 5",
"archived": true,
"name": "sample string 7",
"street": "sample string 8",
"street_number": "sample string 9",
"zip": "sample string 10",
"city": "sample string 11",
"phone": "sample string 12",
"mobile": "sample string 13",
"fax": "sample string 14",
"email": "sample string 15",
"url": "sample string 16",
"db_country_id": "b10907ad-cfd7-46ac-8782-354eb85183d8",
"db_country_code": "sample string 18",
"street2": "sample string 19",
"modified_dateutc": "2026-10-28T21:48:06.7060072+00:00"
}